<?php 
if( !defined('BASEPATH') ) exit('No direct script access allowed');

class User extends CI_Controller 
{


	public function __construct()
	{
  		parent::__construct();
		
	 if( $this->session->userdata('is_logged_in') !=1  ){
      
                   redirect('login');
             }
    
    /*if($this->session->userdata('password_set')==0){
       redirect('login/setpassword');
    }*/
		$this->load->model("users");
		$this->data['parent_page'] = 'User';
		$this->id=$this->session->userdata('id');
		
		
  	}

  	public function index()
	{

		$this->data['title'] = "elegance|| system user";
		$this->data['sub_title']="Dashboards";
		$this->data['page'] = 'System User';
		
		$this->data['records']= $this->users->lists();
		$this->load->view( "templates/header", $this->data );
		$this->load->view( 'user/list' );		
		$this->load->view( "templates/footer" );
	}
	public function add()
	{
		$this->form_validation->set_rules( [

		
			['field' => 'FirstName', 'label' => 'First name', 'rules' => 'trim|required', 'errors' => ['required' => 'Please enter the %s.'],],
			['field' => 'OtherName', 'label' => 'OtherName', 'rules' => 'trim|required', 'errors' => ['required' => 'Please enter the %s.'],],
			['field' => 'SystemRole', 'label' => 'SystemRole ', 'rules' => 'trim|required', 'errors' => ['required' => 'Please enter the %s.'],],
			['field' => 'IDNumber', 'label' => 'IDNumber', 'rules' => 'trim|required', 'errors' => ['required' => 'Please enter the %s.'],],
			['field' => 'SystemRole', 'label' => 'System Role', 'rules' => 'trim|required', 'errors' => ['required' => 'Please enter the %s.'],],
			['field' => 'PhoneNumber', 'label' => 'Phone Number', 'rules' => 'trim|required', 'errors' => ['required' => 'Please enter the %s.'],],
			['field' => 'RegistryId', 'label' => 'Registry', 'rules' => 'trim|required', 'errors' => ['required' => 'Please select the %s.'],],
			
			[
				'field' => 'EmailAddress', 
				'label' => 'EmailAddress', 
				'rules' => 'trim|required|is_unique[users.EmailAddress]',
				'errors' => ['required' => 'Please enter the %s.','is_unique' => 'This %s is already in use.',],
			],
			[
				'field' => 'PhoneNumber', 
				'label' => 'Phone Number', 
				'rules' => 'trim|required|is_unique[users.PhoneNumber]',
				'errors' => ['required' => 'Please enter the %s.','is_unique' => 'This %s is already in use.',],
			],
			[
				'field' => 'IDNumber', 
				'label' => 'ID Number', 
				'rules' => 'trim|required|is_unique[users.IDNumber]',
				'errors' => ['required' => 'Please enter the %s.','is_unique' => 'This %s is already in use.',],
			],
			
										
		] );
		
		if( $this->form_validation->run() == FALSE ) :
			$this->data['title'] = "elegance|| Add User";
		    $this->data['sub_title']="Dashboards";
			$this->data['page'] = 'Add a User';
		
			$this->data['roles']=$this->users->roles();
			$this->data['registrys']=$this->users->registrys();
		
			$this->load->view( "templates/header", $this->data );
			$this->load->view( 'user/add' );		
			$this->load->view( "templates/footer" );
			
		else :
			if( $this->users->creates() ) : 
				$this->session->set_flashdata( "success",'User added successfully' );
				redirect( 'user' );
			else :
				$this->session->set_flashdata( "error", 'Error occurred while adding user ' );
				redirect( 'user' );
			endif;
			
		endif;	
		
	}



	public function edit()
	{	
		$this->data['title'] = "elegance|| Edit User";
		$this->data['sub_title']="Dashboards";
		$this->data['page'] = 'Edit System User';
		$this->form_validation->set_rules( [

			['field' => 'FirstName', 'label' => 'First name', 'rules' => 'trim|required', 'errors' => ['required' => 'Please enter the %s.'],],
			['field' => 'OtherName', 'label' => 'OtherName', 'rules' => 'trim|required', 'errors' => ['required' => 'Please enter the %s.'],],
			
			['field' => 'IDNumber', 'label' => 'IDNumber', 'rules' => 'trim|required', 'errors' => ['required' => 'Please enter the %s.'],],
			['field' => 'SystemRole', 'label' => 'System Role', 'rules' => 'trim|required', 'errors' => ['required' => 'Please enter the %s.'],],
			['field' => 'PhoneNumber', 'label' => 'Phone Number', 'rules' => 'trim|required', 'errors' => ['required' => 'Please enter the %s.'],],
			['field' => 'EmailAddress', 'label' => 'EmailAddress', 'rules' => 'trim|required', 'errors' => ['required' => 'Please enter the %s.'],],
			['field' => 'RegistryId', 'label' => 'Registry', 'rules' => 'trim|required', 'errors' => ['required' => 'Please select the %s.'],],
		
			
		] );
		if( $this->form_validation->run() == FALSE ) :
			$this->data['record']= $this->users->detail_user($this->uri->segment(3));
			$this->data['statuses']= $this->users->statuses();
			$this->data['roles']=$this->users->roles();
			$this->data['registrys']=$this->users->registrys();
		
			$this->load->view( "templates/header", $this->data );
			$this->load->view( "user/edit" );		
			$this->load->view( "templates/footer" );
		else :
		
			if( $this->users->edit_users($this->uri->segment(3)) ) : 
				$this->session->set_flashdata( "success","User info edited successfully" );
				redirect( 'user' );
				
			else :
				
				redirect( 'user' );
			endif;
		endif;	
		
	}

	 public function deactivated()
	{
		$this->users->deletee($this->uri->segment(3));
		
		echo json_encode(array("status" => TRUE));
	}
	public function activated()
	{
		$this->users->activateds($this->uri->segment(3));
		
		echo json_encode(array("status" => TRUE));
	}

	public function delete()
	 {

			if( $this->users->deletee($this->uri->segment(3)) ) : 
				$this->session->set_flashdata( "success","User deactivated successfully" );
				redirect( 'user' );
			else :
				$this->session->set_flashdata( "error", "Error occurs while Deactivating user" );
				redirect( 'user' );
			endif;
			
	
	 } 
	  public function get_ward()
     {
   
       $wards= $this->users->get_wards($this->uri->segment(3));
          
          $options = array();
          $options[""]='Select Ward'; 
	    for( $i=0; $i<count($wards); $i++ ) :
	      $ward = &$wards[$i];
	      $options[$ward->WardID] = $ward->WardName; 
	    endfor;   
	    echo json_encode( $options );
	     
       }
      

}