<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

	class Billings extends CI_Model {
		
		public function __construct(){
			
			$this->table="billinfos";
			$this->datetime=date("Y-m-d H:i:s");
		    $this->id=$this->session->userdata('id');
		    $this->first_name= $this->session->userdata('first_name');
		    
		}
		public function oneincometypes($IncomeType){

			$row = array();		
			$this->db->select('*');
			$this->db->from("incometypes");	
            $this->db->where('incomeTypeId',$IncomeType);
            $query = $this->db->get();
			if($query->result()){
				$row = $query->row();	
				$query->free_result();	
			}

			return( $row );

		}
		 public function billtotals($Billno){

			$rows = array();		
			$this->db->select('sum(DetailAmount) as total');
			$this->db->from("billdetails");	
            $this->db->where('Billno',$Billno);
            $query = $this->db->get();
			if($query->result()){
				$rows = $query->row();	
				$query->free_result();	
			}
			if($rows){
				return $rows->total;
			}else{
				return 0;
			}
			
			return( $rows );

		}
		 public function checkprevisouspayments($paymentcode){
			$row = array();		
			$this->db->select('*');
			$this->db->from(" transactions");	
            $this->db->where('PaymentCode',$paymentcode);
            $query = $this->db->get();
			if($query->result()){
				$row = $query->row();	
				$query->free_result();	
			}

			return( $row );

		}
		 public function getbillinfos($billno){

			$row = array();		
			$this->db->select('*');
			$this->db->from("billinfos");	
            $this->db->where('BillNo',$billno);
            $query = $this->db->get();
			if($query->result()){
				$row = $query->row();	
				$query->free_result();	
			}

	
			return( $row );

		}
		 public function incomeandcharges($feeID){

			$row = array();		
			$this->db->select('*');
			$this->db->from("feesandcharges");	
            $this->db->where('feeId',$feeID);
            $query = $this->db->get();
			if($query->result()){
				$row = $query->row();	
				$query->free_result();	
			}

			return( $row );

		}
		public function incometypes()
		{
			
			$rows = [];
			$this->db->select('*' )
					->from('incometypes');
			 $this->db->where('status',1);
			$query = $this->db->get();
			if($query->result()){
				$rows = $query->result();	
				$query->free_result();	
			}
				
			return( $rows );	
				
		}
		public function registrys($RegistryId)
		{
			
			$rows = [];
			$this->db->select('s.TownName,s.id,s.CountyId,s.SubCountyId,s.WardId,w.CountyName,w.ConstituencyName,w.WardName' )
					->from('registrys s')
					->join('wards w','w.WardCode=s.WardId');
			 $this->db->where(array('s.id'=>$RegistryId));
			$query = $this->db->get();
			if($query->result()){
				$rows = $query->row();	
				$query->free_result();	
			}
				
			return( $rows );	
				
		}
		 public function feeandcharges($id)
     	 {
            $rows = [];
			$this->db->select('*' )
					->from('feesandcharges')
					->where(array('incomeTypeId'=>$id,'Status'=>1),'AND');
			$query = $this->db->get();
			if($query->result()){
				$rows = $query->result();	
				$query->free_result();	
			}	

			
			return( $rows );
	     
       }
   
     public function getamounts($feeId)
		{
			$row =[];
			$this->db->select('unitFeeAmount' )
					->from('feesandcharges')->where(array('feeId'=>$feeId),'AND');
			$query = $this->db->get();
			if($query->result()){
				$row = $query->row();	
				$query->free_result();	
			}

			

			if($row){
				return($row->unitFeeAmount );
			}else{
				return(0);
			}		
				
				
		}
		public function inserttransBillDetails($data){

			$this->db->trans_begin();
			if($this->db->insert( "transbilldetails",$data )){
				  $id = $this->db->insert_id();
				    $this->db->where('id', $id);
					$data=array('BillDetailNo'=>$id);
			        $this->db->update("transbilldetails", $data);
			       if ($this->db->trans_status() === FALSE)
	 				{
	       				 $this->db->trans_rollback();
	       				 return false;
					}
					else
					{
	      				  $this->db->trans_commit();
	      				     return true;
					}
				
				}else{
					return false;
				}

		}
		public function insertBillDetails($data){

			$this->db->trans_begin();
			if($this->db->insert( "billdetails",$data )){
				  $id = $this->db->insert_id();
				  $this->db->insert('audit', [

						'Description' => $this->first_name ." added item to bill",
						'SourceTable' => "billdetails",
						'RecordKey'=> $id,
						'UserKey'=>  $this->id
						
					] );
                            
				    $this->db->where('id', $id);
					$data=array('BillDetailNo'=>$id);
			        $this->db->update("billdetails", $data);
			       if ($this->db->trans_status() === FALSE)
	 				{
	       				 $this->db->trans_rollback();
	       				 return false;
					}
					else
					{
	      				  $this->db->trans_commit();
	      				     return true;
					}
				
				}else{
					return false;
				}

		}
		public function insertbillinfo2($data){

			$this->db->trans_begin();
			if($this->db->insert("transbillinfos",$data )){
				  $id = $this->db->insert_id();
				 
				    $this->db->where('id', $id);
					$data=array('BillID'=>$id);
			        $this->db->update("transbillinfos", $data);
			       if ($this->db->trans_status() === FALSE)
	 				{
	       				 $this->db->trans_rollback();
	       				 return false;
					}
					else
					{
	      				  $this->db->trans_commit();
	      				     return true;
					}
				
				}else{
					return false;
				}


			

		}
		public function insertbillinfo($data){

			$this->db->trans_begin();
			if($this->db->insert( $this->table,$data )){
				  $id = $this->db->insert_id();
				 
				    $this->db->where('id', $id);
					$data=array('BillID'=>$id);
			        $this->db->update($this->table, $data);
			       if ($this->db->trans_status() === FALSE)
	 				{
	       				 $this->db->trans_rollback();
	       				 return false;
					}
					else
					{
	      				  $this->db->trans_commit();
	      				     return   $id ;
					}
				
				}else{
					return false;
				}


			

		}
		public function insertBillDetail2s($data){

			$this->db->trans_begin();
			if($this->db->insert( "transbilldetails",$data )){
				  $id = $this->db->insert_id();

				    $this->db->where('id', $id);
					$data=array('BillDetailNo'=>$id);
			        $this->db->update("transbilldetails", $data);
			       if ($this->db->trans_status() === FALSE)
	 				{
	       				 $this->db->trans_rollback();
	       				 return false;
					}
					else
					{
	      				  $this->db->trans_commit();
	      				     return true;
					}
				
				}else{
					return false;
				}

		}
		/*public function insertBillDetails($data){

			$this->db->trans_begin();
			if($this->db->insert( "billdetails",$data )){
				  $id = $this->db->insert_id();
				 /* $this->db->insert('Audit', [

						'Description' => $this->first_name ." added item to bill",
						'SourceTable' => "billdetails",
						'RecordKey'=> $id,
						'UserKey'=>  $this->id
						
					] );
                            *
				    $this->db->where('id', $id);
					$data=array('BillDetailNo'=>$id);
			        $this->db->update("billdetails", $data);
			       if ($this->db->trans_status() === FALSE)
	 				{
	       				 $this->db->trans_rollback();
	       				 return false;
					}
					else
					{
	      				  $this->db->trans_commit();
	      				     return true;
					}
				
				}else{
					return false;
				}

		}*/
		 public function incometypeslists($IncomeType){

			$rows = array();		
			$this->db->select('*');
			$this->db->from("incometypes");	
            $this->db->where('IncomeTypeID',$IncomeType);
            $query = $this->db->get();
			if($query->result()){
				$rows = $query->result();	
				$query->free_result();	
			}
			
			return( $rows );

		}

		 public function getpayment($PaymentCode){
		 	

			$rows = array();		
			$this->db->select('r.id,r.ReceiptNo,r.BillNo,r.RecieptAmount,r.ReceiptDate,b.BillTotal,ReducingBalance,PrintCount,f.FeeDescription');
			$this->db->from("receiptinfos r")
						->join('billinfos b','b.BillNo=r.BillNo')
						->join('billdetails d','b.BillNo=b.BillNo')
						->join('feesandcharges f','f.feeId=d.FeeID');
						;
						;	
            $this->db->where('b.PaymentCode',$PaymentCode);
            $query = $this->db->get();
			if($query->result()){
				$rows = $query->row();	
				$query->free_result();	
			}
			
			return( $rows );

		}
		 public function getpaymentbybill($BillNo){

			$rows = array();		
			$this->db->select('r.id,r.ReceiptNo,r.BillNo,r.RecieptAmount,r.ReceiptDate,b.BillTotal,ReducingBalance,PrintCount');
			$this->db->from("receiptinfos r")
						->join(' billinfos b','b.BillNo=r.BillNo');	
            $this->db->where('b.BillNo',$BillNo);
            $query = $this->db->get();
			if($query->result()){
				$rows = $query->row();	
				$query->free_result();	
			}
			
			return( $rows );

		}







		public function lists(){
			$rows =array();		
			$this->db->select('d.BillNo,b.ReducingBalance,d.IncomeTypeID,d.DetailAmount,d.id,d.Registry,b.Customer,b.Description,b.IdentifyNo, b.Email,d.MarkId,f.feeDescription,b.revesal_reason ');
			$this->db->from( "transbilldetails d")
					->join('transbillinfos b','b.BillNo=d.BillNo')
					->join('feesandcharges f','f.feeId=d.FeeID');
				
            $this->db->where(array('b.CreatedBy'=>$this->id,'b.BillStatus'=>1,'d.Status'=>1));
            $query = $this->db->get();
			if($query->result()){
				$rows = $query->result();	
				$query->free_result();	
			}
				
			return( $rows );
		 }
		 public function listss($id){
			$rows =array();
			 $this->db->limit(1);
			$this->db->select('d.BillNo,b.ReducingBalance,b.PaymentCode,d.IncomeTypeID,d.DetailAmount,d.id,d.Registry,b.Customer,b.Description,d.MarkId,f.feeDescription,b.revesal_reason , b.BillStatus ');
			$this->db->from( "billdetails d")
					->join('billinfos b','b.BillNo=d.BillNo')
					->join('feesandcharges f','f.feeId=d.FeeID')->order_by('b.id','DESC');
				
            $this->db->where(array('b.CreatedBy'=>$id));
            $query = $this->db->get();
			if($query->result()){
				$rows = $query->result();	
				$query->free_result();	
			}

				
			return( $rows );
		 }
		  public function unpaid($PaymentCode){
			$rows =array();
			
			$this->db->select('d.BillNo,b.ReducingBalance, b.BillTotal, b.PaymentCode,d.IncomeTypeID,d.DetailAmount,d.id,d.Registry,b.Customer,b.Description,d.MarkId,f.feeDescription,b.revesal_reason');
			$this->db->from( "billdetails d")
					->join('billinfos b','b.BillNo=d.BillNo')
					->join('feesandcharges f','f.feeId=d.FeeID')->order_by('b.id','DESC');
				
            $this->db->where(array('b.PaymentCode'=>$PaymentCode));
            $query = $this->db->get();
			if($query->result()){
				$rows = $query->row();	
				$query->free_result();	
			}

				
			return( $rows );
		 }
		  public function unpaid2($PaymentCode){
			$rows =array();
			
			$this->db->select('d.BillNo,b.ReducingBalance, b.BillTotal, b.PaymentCode,d.IncomeTypeID,d.DetailAmount,d.id,d.Registry,b.Customer,b.Description,d.MarkId,f.feeDescription,b.revesal_reason');
			$this->db->from( "billdetails d")
					->join('billinfos b','b.BillNo=d.BillNo')
					->join('feesandcharges f','f.feeId=d.FeeID')->order_by('b.id','DESC');
				
            $this->db->where(array('b.PaymentCode'=>$PaymentCode));
            $query = $this->db->get();
			if($query->result()){
				$rows = $query->result();	
				$query->free_result();	
			}

				
			return( $rows );
		 }
		 public function removes($MarkId)
		{
			
			       $row =array();		
					$this->db->select('b.*');
					$this->db->from( "transbilldetails b");
		            $this->db->where(array('b.MarkId'=>$MarkId));
		            $query = $this->db->get();
					if($query->result()){
						$row = $query->row();	
						$query->free_result();	
					}
					if(!$row){
						return false;
					}
			       $row1 =array();		
					$this->db->select('count(b.id) as total ,f.BillNo');
					$this->db->from( "transbilldetails b")
							->join('transbillinfos f','b.BillNo=f.BillNo');
		            $this->db->where(array('b.BillNo'=>$row->BillNo,'b.Status'=>1));
		            $query = $this->db->get();
					if($query->result()){
						$row1 = $query->row();	
						$query->free_result();	
					}


			if($row1->total==1){
					$data1 = array(
					 	'ModifiedBy' =>$this->id,
						'DateModified' => $this->datetime,
						'Status' =>0,
						'BillStatus'=>4
						);
					  $this->db->where('BillNo',$row->BillNo);
					  $this->db->update("transbillinfos",  $data1);
					 $data1 = array(
					 	'ModifiedBy' =>$this->id,
						'DateModified' => $this->datetime,
						'Status' =>0,
						'BillStatus'=>4
						);
					  $this->db->where('BillNo',$row->BillNo);
					  $this->db->update("billinfos",  $data1);
			}else{
			         $data1 = array(
					 
						'DateModified' => $this->datetime,
						'Status' =>0,
						
						);
					  $this->db->where('MarkId',$MarkId);
					  $this->db->update("transbilldetails",  $data1);
					  $data1 = array(
				
						'DateModified' => $this->datetime,
						'Status' =>0,
					
						);
					  $this->db->where('MarkId',$MarkId);
					  $this->db->update("billdetails",  $data1);


			}
	  		$this->db->insert('audit', [
	  			'Description' => $this->first_name ." Removed item from bill",
				'SourceTable' => "billdetails",
				'RecordKey'=> $MarkId,
				'UserKey'=>$this->id
				
			] );
			 return true;
	  
		}
		public function generates($Billno)
		{

			$row =0;		
			$this->db->select('sum(DetailAmount)as total');
			$this->db->from("billdetails");	
               $this->db->where(array('BillNo'=>$Billno,'Status'=>1));
            $query = $this->db->get();
			if($query->result()){
				$row = $query->row()->total;	
				$query->free_result();	
			}
			
	
			 $data = array(
			 	'ModifiedBy' =>$this->id,
				'DateModified' => $this->datetime,
				'BillTotal' =>$row,
				'ReducingBalance' =>$row,
				'BillStatus'=>2,
				);
			  $this->db->where('Billno',$Billno);
			  if($this->db->update("billinfos",  $data)){
			  		 $this->db->where('CreatedBy',$this->id);
					 $this->db->delete('transbillinfos');
					 $this->db->where('CreatedBy',$this->id);
					 $this->db->delete('transbilldetails');

					  $row2s =array();		
						$this->db->select('d.*,b.Customer,b.Description,b.PaymentCode,b.ReducingBalance, b.IdentifyNo,f.FeeDescription,b.BillTotal,b.PaymentCode');
						$this->db->from( "billdetails d")
								->join('billinfos b','b.BillNo=d.BillNo')
								->join('feesandcharges f','f.feeId=d.FeeID');
                       $this->db->where(array('b.BillNo'=>$Billno,'b.BillStatus>='=>2,'d.Status'=>1,'b.BillStatus<='=>5 ),'AND');
                //$this->db->limit(1);

		            $query = $this->db->get();
					if($query->result()){
						$row2s = $query->row();	
						$query->free_result();	
					}

/*
					 $msg="Hi ". ucwords(strtolower($row2s->Customer)).", your ".$row2s->Description ." bill has been generated. Please pay to - "
                                    ."\nPaybill: 175555" 
                                    ."\nAccount Number: ". $row2s->PaymentCode 
                                    ."\nAmount KES: ". $row2s->ReducingBalance
                                    ." \n " ;
*/

					/*
					 $msg =" Hi ". ucwords(strtolower($row2s->Customer)).", pay BillNumber  " . $row2s->BillNo . " for ".$row2s->Description 
                                    ." \n\n Paybill : 367776" 
                                    ." \n Account Number : ". $row2s->PaymentCode 
                                    ." \n Amount : ". $row2s->ReducingBalance
                                    ." \n Thank you \n " ;*/


				      /* $sender_id = 'REVENUESURE';
				       $username = 'Nouveta';
				       $apikey = "5370808e3ee6acdc216fcbecb225e21416de3e14c6811e95e0d6fada9561ec38";
				       $this->load->library('africastalking');
				       $gateway = new AfricasTalkingGateway($username, $apikey);
				       $results = $gateway->sendMessage($row2s->IdentifyNo, $msg,$sender_id);*/

				        return( $row2s );


					

                           
                               
  					if($this->sendsms($row2s->IdentifyNo,$msg)){
  						 return( $row2s );
  						}else{
  							 return( $row2s );
  						}


				/*	echo '<pre>';
					print_r($row2s);
					exit;
	*/
			     


					
			  }else{
				 return false;
			  }	
		}

		public function mylastgenerates($Billno)
		{

			

					  $row2s =array();		
						$this->db->select('d.*,b.Customer,b.Description,b.PaymentCode,b.ReducingBalance, b.IdentifyNo,f.FeeDescription,b.PaymentCode,b.BillStatus,b.BillTotal');
						$this->db->from( "billdetails d")
								->join('billinfos b','b.BillNo=d.BillNo')
								->join('feesandcharges f','f.feeId=d.FeeID');
                       $this->db->where(array('b.BillNo'=>$Billno,),'AND');
               

		            $query = $this->db->get();
					if($query->result()){
						$row2s = $query->row();	
						$query->free_result();	
					}
					 return( $row2s );


			
					
			 
		}






		public function checkcompletepaymentss($paymentcode){
			$row = array();		
			$this->db->select('*');
			$this->db->from(" transactions");	
            $this->db->where(array('PaymentCode'=>$paymentcode,'Marked'=>1));
            $query = $this->db->get();
			if($query->result()){
				$row = $query->row();	
				$query->free_result();	
			}
		

			return( $row );

		}
		 public function updatereceipt2s($PaymentCode,$data){
				 
				    $this->db->where('PaymentCode', $PaymentCode);
			        $this->db->update("transactions", $data);
	      	        return true;
			

		    }
		      public function updatereceipt3s($BillNo,$data){
				 
				    $this->db->where('BillNo', $BillNo);
			        $this->db->update("transactions", $data);
	      	        return true;
			

		    }

		    public function checkcompletepayment($paymentcode){
			$row = array();		
			$this->db->select('*');
			$this->db->from(" transactions");	
            $this->db->where(array('PaymentCode'=>$paymentcode,'Marked'=>1));
            $query = $this->db->get();
			if($query->result()){
				$row = $query->row();	
				$query->free_result();	
			}
			if(!$row){
				$row = array();		
				$this->db->select('*');
				$this->db->from(" transactions");	
	            $this->db->where(array('OriginalPaymentCode'=>$paymentcode,'Marked'=>1));
	            $query = $this->db->get();
				if($query->result()){
					$row = $query->row();	
					$query->free_result();	
				}

			}

			return( $row );

		}

   
   
		 public function sendsms($Telephone,$message){
           

             $url = 'https://www.revenuesure.co.ke/RevenueSure/api/General/SendSms';
            $data1=[
                    "from"=>"Forget Password",
                    "to"=>$Telephone,
                    "message"=>$message  ,
                  ];
                $results=json_decode($this->to_curl($url,$data1));


          

   

  }
    function to_curl($url, $data)
     {

     $headers = array
        (
          'Content-Type: application/json',
          'Content-Length: ' . strlen( json_encode($data) ) 
        );
     

      $ch = curl_init();  
      curl_setopt($ch, CURLOPT_URL, $url);  
      curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST" ); 
      curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1 ); 
      curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);  
       curl_setopt($ch, CURLOPT_HTTPHEADER,  $headers );
      
      curl_setopt($ch, CURLOPT_POST, 1); 
      curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));  
      $output = curl_exec($ch); 

        
      $httpcode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
     
      curl_close($ch); 
      return $output;
      
  }


   public function verifyings($ReceiptId){

   				 $data1=[

   					'PrintCount'=>1,
   					'printed_by'=>$this->id,
   					'Comments'=>$this->input->post('Comment')
   				];
				 
				    $this->db->where('id', $ReceiptId);
			        if($this->db->update("receiptinfos",  $data1)){

	      	            return true;

			        }else{
			        	 return false;
			        }
			

   }

    public function getbillinfo2s($BillNo){
			$rows =array();
			
			$this->db->select('d.BillNo,b.ReducingBalance, b.BillTotal, b.PaymentCode,d.IncomeTypeID,d.DetailAmount,d.id,d.Registry,b.Customer,b.Description,d.MarkId,f.feeDescription,b.revesal_reason');
			$this->db->from( "billdetails d")
					->join('billinfos b','b.BillNo=d.BillNo')
					->join('feesandcharges f','f.feeId=d.FeeID')->order_by('b.id','DESC');
				
            $this->db->where(array('b.BillNo'=>$BillNo));
            $query = $this->db->get();
			if($query->result()){
				$rows = $query->row();	
				$query->free_result();	
			}

				
			return( $rows );
		 }


 public function sendgenerates($BillNo){

		          $row2s =array();		
						$this->db->select('d.*,b.Customer,b.Description,b.PaymentCode,b.ReducingBalance, b.IdentifyNo,f.FeeDescription,b.*,PaymentCode');
						$this->db->from( "billdetails d")
								->join('billinfos b','b.BillNo=d.BillNo')
								->join('feesandcharges f','f.feeId=d.FeeID');
                       $this->db->where(array('b.BillNo'=>$BillNo ),'AND');
                //$this->db->limit(1);

		            $query = $this->db->get();
					if($query->result()){
						$row2s = $query->row();	
						$query->free_result();	
					}

				


					 $msg="Hi ". ucwords(strtolower($row2s->Customer)).", your ".$row2s->Description ." bill has been generated. Please pay to - "
                                    ."\nPaybill: 175555" 
                                    ."\nAccount Number: ". $row2s->PaymentCode 
                                    ."\nAmount KES: ". $row2s->ReducingBalance
                                    ." \n " ;

                       $sender_id = 'REVENUESURE';
				       $username = 'Nouveta';
				       $apikey = "5370808e3ee6acdc216fcbecb225e21416de3e14c6811e95e0d6fada9561ec38";
				       $this->load->library('africastalking');
				       $gateway = new AfricasTalkingGateway($username, $apikey);
				       $results = $gateway->sendMessage($this->input->post('PhoneNumbersms'), $msg,$sender_id);

				        return( $row2s );


   

            }

         public function getbillings($billno)
		{


			$rows = [];
			$this->db->select('b.BillNo ,b.PaymentCode,b.Customer,b.IdentifyNo,b.Description,b.IncomeTypeID,b.BillTotal,b.ReducingBalance,s.title as BillStatuses,b.DateCreated' )
					->from($this->table .' b')
					->join('billingstatus s','s.id=b.BillStatus')
					->where(array('BillNo'=>$billno),'AND');
			$query = $this->db->get();
			if($query->result()){
				$rows = $query->row();	
				$query->free_result();	
			}
			
			return( $rows );
			
		}









	

  


		
	
		
		
		
		
}