-- MySQL dump 10.13  Distrib 5.7.22, for Linux (x86_64)
--
-- Host: localhost    Database: batch
-- ------------------------------------------------------
-- Server version	5.7.22

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `accounts`
--

DROP TABLE IF EXISTS `accounts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `accounts` (
  `id` int(60) NOT NULL AUTO_INCREMENT,
  `accountcode` varchar(45) DEFAULT NULL,
  `accountname` varchar(45) DEFAULT NULL,
  `client_id` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `accounts`
--

LOCK TABLES `accounts` WRITE;
/*!40000 ALTER TABLE `accounts` DISABLE KEYS */;
INSERT INTO `accounts` VALUES (1,'1001','Float Account','0'),(2,'1002','Suspense Account','0'),(3,'1003','Commission Account','0'),(8,'1008','Waruku Sacco Account','1'),(9,'1009','Stima Account','2');
/*!40000 ALTER TABLE `accounts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `borrower_client`
--

DROP TABLE IF EXISTS `borrower_client`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `borrower_client` (
  `id` int(60) NOT NULL AUTO_INCREMENT,
  `borrower_id` bigint(20) DEFAULT NULL,
  `client_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `borrower_client`
--

LOCK TABLES `borrower_client` WRITE;
/*!40000 ALTER TABLE `borrower_client` DISABLE KEYS */;
/*!40000 ALTER TABLE `borrower_client` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `borrowers`
--

DROP TABLE IF EXISTS `borrowers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `borrowers` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `date_created` datetime DEFAULT NULL,
  `date_modified` datetime DEFAULT NULL,
  `first_name` varchar(100) DEFAULT NULL,
  `last_name` varchar(45) DEFAULT NULL,
  `phone_number` varchar(15) DEFAULT NULL,
  `id_number` varchar(10) DEFAULT NULL,
  `user_id` int(11) NOT NULL,
  `status` tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `borrowers`
--

LOCK TABLES `borrowers` WRITE;
/*!40000 ALTER TABLE `borrowers` DISABLE KEYS */;
/*!40000 ALTER TABLE `borrowers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `client_users`
--

DROP TABLE IF EXISTS `client_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `client_users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(45) NOT NULL,
  `status` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `client_users`
--

LOCK TABLES `client_users` WRITE;
/*!40000 ALTER TABLE `client_users` DISABLE KEYS */;
INSERT INTO `client_users` VALUES (1,'Admin',1),(2,'Meteor  Checker',1),(3,'Initiator',1);
/*!40000 ALTER TABLE `client_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `full_uploaded_file`
--

DROP TABLE IF EXISTS `full_uploaded_file`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `full_uploaded_file` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `guarantor_id` int(11) NOT NULL,
  `first_name` varchar(45) DEFAULT NULL,
  `last_name` varchar(45) DEFAULT NULL,
  `id_number` varchar(45) DEFAULT NULL,
  `phone_number` varchar(15) DEFAULT NULL,
  `amount_requested` decimal(20,2) DEFAULT NULL,
  `date_created` datetime NOT NULL,
  `file_id` bigint(20) NOT NULL,
  `intiator` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=31 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `full_uploaded_file`
--

LOCK TABLES `full_uploaded_file` WRITE;
/*!40000 ALTER TABLE `full_uploaded_file` DISABLE KEYS */;
INSERT INTO `full_uploaded_file` VALUES (28,4,'john','Kamande','25583758','078757665',100.00,'2018-05-17 06:14:22',1,6),(29,4,'Ann ','Muthoni','27657665','078578994',100.00,'2018-05-17 06:14:22',1,6),(30,5,'Kevin','Mugwe','25902248','0547892222',10.00,'2018-05-17 08:13:22',3,8);
/*!40000 ALTER TABLE `full_uploaded_file` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gl_trans`
--

DROP TABLE IF EXISTS `gl_trans`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `gl_trans` (
  `id` int(60) NOT NULL AUTO_INCREMENT,
  `amount` int(11) DEFAULT NULL,
  `account` int(60) DEFAULT NULL,
  `clientTrans` int(60) DEFAULT NULL,
  `description` varchar(45) DEFAULT NULL,
  `user` int(60) DEFAULT NULL,
  `date` datetime DEFAULT NULL,
  `bank_trans` int(60) DEFAULT NULL,
  `client` int(60) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gl_trans`
--

LOCK TABLES `gl_trans` WRITE;
/*!40000 ALTER TABLE `gl_trans` DISABLE KEYS */;
INSERT INTO `gl_trans` VALUES (1,-20000,1,1,'Direct Deposit to Wallet',1,'2018-05-28 14:01:33',NULL,1),(2,20000,8,1,'Direct Deposit to Wallet',1,'2018-05-28 14:01:33',NULL,1),(3,-3000,1,2,'Direct Deposit to Wallet',1,'2018-05-28 16:33:18',NULL,2),(4,3000,9,2,'Direct Deposit to Wallet',1,'2018-05-28 16:33:18',NULL,2);
/*!40000 ALTER TABLE `gl_trans` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `guarantors`
--

DROP TABLE IF EXISTS `guarantors`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `guarantors` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date_created` datetime DEFAULT NULL,
  `date_modified` datetime DEFAULT NULL,
  `guarantor` varchar(105) DEFAULT NULL,
  `interest` decimal(10,2) DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL,
  `status` tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `guarantors`
--

LOCK TABLES `guarantors` WRITE;
/*!40000 ALTER TABLE `guarantors` DISABLE KEYS */;
INSERT INTO `guarantors` VALUES (1,'2018-05-27 13:13:35','2018-05-27 21:31:54','Waruku Sacco',15.00,1,1),(2,'2018-05-28 16:29:50','2018-05-28 16:29:50','Stima',12.00,1,1);
/*!40000 ALTER TABLE `guarantors` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `loan_batchs`
--

DROP TABLE IF EXISTS `loan_batchs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `loan_batchs` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `file_name` varchar(45) NOT NULL,
  `loan_status` int(11) NOT NULL,
  `status` int(11) NOT NULL DEFAULT '1',
  `date_created` datetime NOT NULL,
  `date_modified` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `loan_batchs`
--

LOCK TABLES `loan_batchs` WRITE;
/*!40000 ALTER TABLE `loan_batchs` DISABLE KEYS */;
INSERT INTO `loan_batchs` VALUES (1,'test1',1,1,'2018-05-17 06:14:22','2018-05-17 06:14:22'),(2,'Single Batch',1,1,'2018-05-17 08:00:31','2018-05-17 08:00:31'),(3,'Payment',1,1,'2018-05-17 08:13:22','2018-05-17 08:13:22');
/*!40000 ALTER TABLE `loan_batchs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `loans_status`
--

DROP TABLE IF EXISTS `loans_status`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `loans_status` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `loans_status`
--

LOCK TABLES `loans_status` WRITE;
/*!40000 ALTER TABLE `loans_status` DISABLE KEYS */;
INSERT INTO `loans_status` VALUES (1,'Pending'),(2,'Approved'),(3,'Paid');
/*!40000 ALTER TABLE `loans_status` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `loans_trans`
--

DROP TABLE IF EXISTS `loans_trans`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `loans_trans` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `borrower_id` bigint(20) NOT NULL,
  `amount_requested` decimal(20,2) NOT NULL,
  `amount_loaned` decimal(20,2) DEFAULT NULL,
  `guarantor_id` int(11) NOT NULL,
  `mpesa_transcode` varchar(45) DEFAULT NULL,
  `loanscol` varchar(45) DEFAULT NULL,
  `intiator` int(11) NOT NULL,
  `approved_by` int(11) DEFAULT NULL,
  `date_created` datetime NOT NULL,
  `date_modified` datetime NOT NULL,
  `date_due` date DEFAULT NULL,
  `file_id` bigint(20) NOT NULL,
  `loan_status` tinyint(4) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=33 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `loans_trans`
--

LOCK TABLES `loans_trans` WRITE;
/*!40000 ALTER TABLE `loans_trans` DISABLE KEYS */;
INSERT INTO `loans_trans` VALUES (30,13,100.00,130.00,4,NULL,NULL,6,NULL,'2018-05-17 06:14:22','2018-05-17 06:14:22',NULL,1,1),(31,13,200.00,230.00,4,NULL,NULL,6,NULL,'2018-05-17 08:00:31','2018-05-17 08:00:31',NULL,2,1),(32,14,10.00,20.00,5,NULL,NULL,8,NULL,'2018-05-17 08:13:22','2018-05-17 08:13:22',NULL,3,1);
/*!40000 ALTER TABLE `loans_trans` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `roles`
--

DROP TABLE IF EXISTS `roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `roles` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(45) NOT NULL,
  `status` tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `roles`
--

LOCK TABLES `roles` WRITE;
/*!40000 ALTER TABLE `roles` DISABLE KEYS */;
INSERT INTO `roles` VALUES (1,'Admin',1),(2,'Staff',1),(3,'Client',0);
/*!40000 ALTER TABLE `roles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_users`
--

DROP TABLE IF EXISTS `sys_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sys_users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date_created` datetime DEFAULT NULL,
  `date_modified` datetime DEFAULT NULL,
  `first_name` varchar(45) DEFAULT NULL,
  `last_name` varchar(45) DEFAULT NULL,
  `email` varchar(45) DEFAULT NULL,
  `role_id` varchar(45) NOT NULL DEFAULT '3',
  `client_id` int(11) NOT NULL DEFAULT '0',
  `client_role` int(11) NOT NULL DEFAULT '3',
  `password` varchar(100) DEFAULT NULL,
  `phone_number` varchar(45) DEFAULT NULL,
  `otp` varchar(10) DEFAULT NULL,
  `otp_time` datetime DEFAULT NULL,
  `status` tinyint(4) NOT NULL DEFAULT '1',
  `password_set` varchar(45) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_users`
--

LOCK TABLES `sys_users` WRITE;
/*!40000 ALTER TABLE `sys_users` DISABLE KEYS */;
INSERT INTO `sys_users` VALUES (1,'2018-05-06 21:52:14','2018-05-06 21:52:14','Admin','Admin','kevinmugwe@gmail.com','1',0,0,'$2y$10$e9gQai41qIQ5VkgCjvLr8esZ3pUZ3dOvhXPDlhMGwK1qw1fS3BmI.','+254727746972',NULL,NULL,1,'1'),(12,'2018-05-27 16:54:42','2018-05-27 16:54:42','Kevin','Mugwe','kevin.mugwe@verveko.com','',0,0,'$2y$10$6WJig4w2xt5jEpNIzvD6nuh/cp7LEZqQCX4a0f4vpMhnOub9LabG6','+254723616566',NULL,NULL,1,'0'),(14,'2018-05-28 16:30:38','2018-05-28 16:30:38','Kevin','Mugwe','njirainidouglas@gmail.com','3',2,3,'$2y$10$nkF.z98LfF6xWB/o7irD8eLKLpJfKfovj8bwrTzsr1YH1ArcRoLw.','+254721269715',NULL,NULL,1,'0'),(18,'2018-05-29 21:29:38','2018-05-29 21:29:38','Kevin','Mugwe','kevinmugwe@hotmail.com','3',2,3,'$2y$10$vLdM43amTwdjImfV/gqim.TpWqs.8IjeOVmVWOHdakK6N7tPU6j36','+254727583255',NULL,NULL,1,'1');
/*!40000 ALTER TABLE `sys_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `trans_type`
--

DROP TABLE IF EXISTS `trans_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `trans_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `trans_type`
--

LOCK TABLES `trans_type` WRITE;
/*!40000 ALTER TABLE `trans_type` DISABLE KEYS */;
INSERT INTO `trans_type` VALUES (1,'M-Pesa'),(2,'Bank');
/*!40000 ALTER TABLE `trans_type` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wallets_info`
--

DROP TABLE IF EXISTS `wallets_info`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wallets_info` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `guarantor_id` bigint(20) NOT NULL,
  `type` tinyint(4) DEFAULT NULL,
  `trans_number` varchar(75) DEFAULT NULL,
  `amount_trans` decimal(20,2) DEFAULT NULL,
  `des` varchar(205) DEFAULT NULL,
  `date_created` datetime NOT NULL,
  `trans_type` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wallets_info`
--

LOCK TABLES `wallets_info` WRITE;
/*!40000 ALTER TABLE `wallets_info` DISABLE KEYS */;
INSERT INTO `wallets_info` VALUES (1,1,1,'MZKE7YT6',20000.00,' Direct depositing  to wallets','2018-05-28 14:01:33','credit'),(2,2,1,'GHJJKKKKK',3000.00,' Direct depositing  to wallets','2018-05-28 16:33:18','credit');
/*!40000 ALTER TABLE `wallets_info` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2018-05-30 12:59:16
